- Main Page
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# GDALDriverManager Class Reference

`#include <gdal_priv.h>`

Inheritance diagram for GDALDriverManager:

List of all members.

## Public Member Functions
int | GetDriverCount (void)
GDALDriver * | GetDriver (int)
GDALDriver * | GetDriverByName (const char *)
int | RegisterDriver (GDALDriver *)
void | MoveDriver (GDALDriver *, int)
void | DeregisterDriver (GDALDriver *)
void | AutoLoadDrivers ()
void | AutoSkipDrivers ()
const char * | GetHome ()
void | SetHome (const char *)

## Detailed Description

Class for managing the registration of file format drivers.

Use GetGDALDriverManager() to fetch the global singleton instance of this class.

## Member Function Documentation

void GDALDriverManager::AutoLoadDrivers | ( |  | ) |

| Auto-load GDAL drivers from shared libraries. This function will automatically load drivers from shared libraries. It searches the "driver path" for .so (or .dll) files that start with the prefix "gdal_X.so". It then tries to load them and then tries to call a function within them called GDALRegister_X() where the 'X' is the same as the remainder of the shared library basename, or failing that to call GDALRegisterMe(). There are a few rules for the driver path. If the GDAL_DRIVER_PATH environment variable it set, it is taken to be a list of directories to search separated by colons on unix, or semi-colons on Windows. Otherwise the /usr/local/lib/gdalplugins directory, and (if known) the lib/gdalplugins subdirectory of the gdal home directory are searched.

void GDALDriverManager::AutoSkipDrivers | ( |  | ) |

| This method unload undesirable drivers. All drivers specified in the space delimited list in the GDAL_SKIP environmentvariable) will be deregistered and destroyed. This method should normally be called after registration of standard drivers to allow the user a way of unloading undesired drivers. The GDALAllRegister() function already invokes AutoSkipDrivers() at the end, so if that functions is called, it should not be necessary to call this method from application code.

void GDALDriverManager::DeregisterDriver | ( | GDALDriver * | poDriver | ) |

  | Deregister the passed driver. If the driver isn't found no change is made. The C analog is GDALDeregisterDriver(). Parameters:
  | poDriver | the driver to deregister.

GDALDriver * GDALDriverManager::GetDriver | ( | int | iDriver | ) |

  | Fetch driver by index. This C analog to this is GDALGetDriver(). Parameters:
  | iDriver | the driver index from 0 to GetDriverCount()-1.
Returns: the number of registered drivers.

GDALDriver * GDALDriverManager::GetDriverByName | ( | const char * | pszName | ) |

  | Fetch a driver based on the short name. The C analog is the GDALGetDriverByName() function. Parameters:
  | pszName | the short name, such as GTiff, being searched for.
Returns: the identified driver, or NULL if no match is found.

int GDALDriverManager::GetDriverCount | ( | void |  | ) |

| Fetch the number of registered drivers. This C analog to this is GDALGetDriverCount(). Returns: the number of registered drivers.

int GDALDriverManager::RegisterDriver | ( | GDALDriver * | poDriver | ) |

  | Register a driver for use. The C analog is GDALRegisterDriver(). Normally this method is used by format specific C callable registration entry points such as GDALRegister_GTiff() rather than being called directly by application level code. If this driver (based on the object pointer, not short name) is already registered, then no change is made, and the index of the existing driver is returned. Otherwise the driver list is extended, and the new driver is added at the end. Parameters:
  | poDriver | the driver to register.
Returns: the index of the new installed driver.

The documentation for this class was generated from the following files:

- gdal_priv.h
- gdaldrivermanager.cpp

Generated for GDAL by 1.4.5.